commit:     a83db4ff5b863961a8498601a58db571fde5cfee
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  7 22:26:57 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jul  7 22:29:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a83db4ff

dev-python/google-api-python-client: Bump to 2.12.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/google-api-python-client/Manifest       |  1 +
 .../google-api-python-client-2.12.0.ebuild         | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/google-api-python-client/Manifest 
b/dev-python/google-api-python-client/Manifest
index 0c8cd4b8236..d18396dea68 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -1,2 +1,3 @@
 DIST google-api-python-client-2.11.0.tar.gz 25408815 BLAKE2B 
9bc7d0163961f5b6341fcb43f41a91dfe12702254047ac2b418ce89dad4f8f40400a7df1fff5ce9d73a05c5249b7242a4d642b866b97a34140826901f74f9d6e
 SHA512 
6d31e0ed926f87f12400b1ec244f8e193d6559c58d6775c34ef5747af3ba633e76e8a883983438e84c6d31fe81ea57ac522f924270b80993cc6396cb6f3ae60e
+DIST google-api-python-client-2.12.0.tar.gz 25476570 BLAKE2B 
7d5f53c19f00878ef717515f406a56d22ce520a0de4f8c5b4142de56263a5bdef76aaa64b3b87301f8c704ad279554f66425c746c8bb869ef735c061fc5d1b6a
 SHA512 
47bfebe8649a4dbf2f8570f71ec4a0c4ececccf6734138e3c84e0501328f949485b5476227c123493b5874e43cc0ab72622ce9fb44484502e21e364f6c8cea54
 DIST google-api-python-client-2.8.0.tar.gz 25286774 BLAKE2B 
b21aebda062984b9eb8f2f5c563016f0f8f663883dc8ddb913053ff3df32c652c6a83f924f3e19136e5edec085e12c43cc584bc9898630122c77a219810033bc
 SHA512 
cc3c55438b2f5835b52d17d04a749919c4865991ff78cf95920d0941a55e1493eae502a13f6565cfe1db799ce9950659e8baaa690bada058d711309861c8d07e

diff --git 
a/dev-python/google-api-python-client/google-api-python-client-2.12.0.ebuild 
b/dev-python/google-api-python-client/google-api-python-client-2.12.0.ebuild
new file mode 100644
index 00000000000..68ec1c0b8c1
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.12.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+inherit distutils-r1
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="https://github.com/googleapis/google-api-python-client";
+SRC_URI="https://github.com/googleapis/google-api-python-client/archive/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+       <dev-python/httplib2-1[${PYTHON_USEDEP}]
+       dev-python/google-api-core[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-1.16.0[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+       >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+       <dev-python/uritemplate-4[${PYTHON_USEDEP}]
+       >=dev-python/six-1.13.0[${PYTHON_USEDEP}]
+       <dev-python/six-2[${PYTHON_USEDEP}]
+       "
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/oauth2client[${PYTHON_USEDEP}]
+               dev-python/pandas[${PYTHON_USEDEP}]
+               dev-python/parameterized[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests --install pytest
+
+src_prepare() {
+       find tests -name '*.py' -exec \
+               sed -i -e 's:unittest2 as ::' {} + || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local deselect=(
+               # require Internet access (and credentials)
+               
tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+               
tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+       )
+
+       distutils_install_for_testing
+       epytest ${deselect[@]/#/--deselect }
+}

Reply via email to